Still Experiencing the Compatability Issue.

Technical Support
So it was toward the end of beta the issue occured. Uninstalled beta completely, and in order to install the client, I had to run it in XP service pack 3, I have windows 7 fully updated. I still have no idea why this happens, am I going to have any issues if I just keep running it in this way?
Will I have any further issues if I just keep it running at XP service pack 3? It also warned me that bc I am running service pack 3 and my graphics cards is a ATI 5800 there might be performance issues.. but it installed and I can click play lol.

Join the Conversation

Return to Forum